using UnityEngine;

namespace com.al_arcade.shared
{


    public static class SSFontManager
    {
        private static TMPro.TMP_FontAsset _font;

        public static TMPro.TMP_FontAsset Font
        {
            get => _font;
            set => _font = value;
        }

        public static void Apply(ALArcade.ArabicTMP.ArabicTextMeshPro tmp)
        {
            if (_font != null && tmp != null) tmp.font = _font;
        }

        public static void Apply(ALArcade.ArabicTMP.ArabicTextMeshProUGUI tmp)
        {
            if (_font != null && tmp != null) tmp.font = _font;
        }
    }
}
